# Set a report's publish status

Sets the publish status of the report and returns the new status, including the URL of any enabled publishing.

Endpoint: PUT /reports/{reportId}/publish
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Content-Type` (string)
    Required for POST and PUT requests. Defines the structure for the request body.

## Path parameters:

  - `reportId` (number, required)
    ID of the report being accessed.

## Request fields (application/json):

  - `readOnlyFullAccessibleBy` (string)
    Indicates who can access the 'Read-Only Full' view of the published report:
* If ALL, it is available to anyone who has the link.
* If ORG, it is available only to members of the report owner's Smartsheet organization account.
* If SHARED, it is available only to users shared to the item.

Only returned in a response if readOnlyFullEnabled = true.

  - `readOnlyFullDefaultView` (string)
    Indicates which view the user has set for a read-only, default view of the published report. Must be one of
the following values: CALENDAR, CARD, or GRID.

  - `readOnlyFullEnabled` (boolean)
    (Required) If true, a rich version of the report is published with the ability to download row
attachments and discussions.

  - `readOnlyFullUrl` (string)
    URL for 'Read-Only Full' view of the published report.

Only returned in a response if readOnlyFullEnabled = true.

  - `readOnlyFullShowToolbar` (boolean)
    Deprecated Indicates whether the left nav toolbar is displayed. The default, or true, is to display the toolbar.
If false, hides the toolbar.

## Response 200 fields (application/json):

  - `failedItems` (array,null)
    Array of BulkItemFailure objects which represents the items that failed to be added or updated. See [Bulk operations > Partial success](/api/smartsheet/guides/advanced-topics/scalability-options) for more information. Applicable only for bulk operations that support partial success.

  - `failedItems.rowId` (number,null)
    The ID of the row that failed. Applicable only to bulk row operations.

  - `failedItems.error` (object)
    The error caused by the failed item.

  - `failedItems.error.refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `failedItems.error.errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `failedItems.error.message` (string)
    Descriptive error message.

  - `failedItems.index` (number)
    The index of the failed item in the bulk request array.

  - `message` (string)
    Message that indicates the outcome of the request. (One of SUCCESS or PARTIAL_SUCCESS.)
    Enum: "PARTIAL_SUCCESS", "SUCCESS"

  - `resultCode` (number)
    * '0' Success
* '3' Partial Success of Bulk Operation
    Enum: 0, 3

  - `result` (object)

  - `result.readOnlyFullAccessibleBy` (string)
    Indicates who can access the 'Read-Only Full' view of the published report:
* If ALL, it is available to anyone who has the link.
* If ORG, it is available only to members of the report owner's Smartsheet organization account.
* If SHARED, it is available only to users shared to the item.

Only returned in a response if readOnlyFullEnabled = true.

  - `result.readOnlyFullDefaultView` (string)
    Indicates which view the user has set for a read-only, default view of the published report. Must be one of
the following values: CALENDAR, CARD, or GRID.

  - `result.readOnlyFullEnabled` (boolean)
    (Required) If true, a rich version of the report is published with the ability to download row
attachments and discussions.

  - `result.readOnlyFullUrl` (string)
    URL for 'Read-Only Full' view of the published report.

Only returned in a response if readOnlyFullEnabled = true.

  - `result.readOnlyFullShowToolbar` (boolean)
    Deprecated Indicates whether the left nav toolbar is displayed. The default, or true, is to display the toolbar.
If false, hides the toolbar.

## Response default fields (application/json):

  - `refId` (string)
    The ID of the specific error occurrence. Please include this information when contacting Smartsheet support.

  - `errorCode` (number)
    Custom error code from Smartsheet. See the complete [Error Code List](/api/smartsheet/error-codes).

  - `message` (string)
    Descriptive error message.


